<?php
function upl_xml1tfe($xml1)
{
	include('../_cfg/config.php');
  
  
  echo '<br>';
  echo $xml1;
  $xml1='../xml1/'.$xml1;
  echo '***'.file_exists($xml1);
  
  echo '<br>';
  
  $xml1=file_get_contents($xml1);
//   $xml1=str_replace('UTF-16','UTF-8',$xml1);
  $xml1=str_replace('<row>',"\n".'<row>',$xml1);

  $xml1=str_replace('á','a',$xml1);
  $xml1=str_replace('é','e',$xml1);
  $xml1=str_replace('í','i',$xml1);
  $xml1=str_replace('ó','o',$xml1);
  $xml1=str_replace('ú','u',$xml1);
  $xml1=str_replace('ñ','n',$xml1);

  $xml1=str_replace('Á','A',$xml1);
  $xml1=str_replace('É','E',$xml1);
  $xml1=str_replace('Í','I',$xml1);
  $xml1=str_replace('Ó','O',$xml1);
  $xml1=str_replace('Ú','U',$xml1);
  
  $xml1=str_replace('Ñ','N',$xml1);
  $xml1=str_replace('-<','<',$xml1);
  
  $xml1=preg_replace('/(<\?xml[^?]+?)utf-16/i', '$1utf-8', $xml1); 
//   echo $xml1;

  $xml1=substr($xml1,strpos($xml1,'<Recordset>')+0);
  $xml1=substr($xml1,0,strrpos($xml1,'</Recordset>')+12);
  
  $xml1=substr($xml1,strpos($xml1,'<Recordset>')+11);
  $xml1=substr($xml1,0,strrpos($xml1,'</Recordset>')+0);
  $xml1=substr($xml1,strposx($xml1,'<row>',8000));
  $xml1='<Record>'.$xml1.'</Record>';
  
  
  $xml1='<?xml version="1.0" encoding="UTF-8"?>'.$xml1;

 echo '<br>';
 echo '<br>';
//   echo $xml1;
 echo '<br>';
 echo '<br>';
  
// 		$DOM1 = new DOMDocument('1.0', 'UTF-8 ');
		$DOM1 = new DOMDocument('1.0', 'UTF-16 ');
  
// 		$DOM2 = new DOMDocument('1.0', 'utf-8');
		$DOM1->loadXML($xml1);
// 		$atrzce= $DOM1->getElementsByTagName('numeroAutorizacion')->item(0)->nodeValue;
// 		$atrzfe= $DOM1->getElementsByTagName('fechaAutorizacion')->item(0)->nodeValue;

  $conta=0;
  
  		$detallex= $DOM1->getElementsByTagName('row');
			foreach($detallex as $detalley)
			{
        $conta++;

//        if($conta>=8600)
       {
        echo '<br>';
        echo $conta;
				foreach($detalley->childNodes as $detalle)
				{
					if($detalle->nodeName=='CardCode'){$xenti=$detalle->nodeValue;}
					if($detalle->nodeName=='CardName'){$xentidescri=$detalle->nodeValue;}
					if($detalle->nodeName=='DocDate'){$xfecha=$detalle->nodeValue;}
					if($detalle->nodeName=='ItemCode'){$xitem=$detalle->nodeValue;}
					if($detalle->nodeName=='MARCA'){$xitemdescri=$detalle->nodeValue;}
					if($detalle->nodeName=='CajasCont'){$xpuni=$detalle->nodeValue;}
					if($detalle->nodeName=='Quantity'){$xcant=$detalle->nodeValue;}
					if($detalle->nodeName=='NoLote'){$xlote=$detalle->nodeValue;}
					if($detalle->nodeName=='HACIENDA'){$xhacienda=$detalle->nodeValue;}
					if($detalle->nodeName=='PRODUCTOR'){$xproductor=$detalle->nodeValue;}
					if($detalle->nodeName=='NoContenedor'){$xcntn=$detalle->nodeValue;}
					if($detalle->nodeName=='NoEntrega'){$xnumero=$detalle->nodeValue;}
					if($detalle->nodeName=='NoLinea'){$xiddet=$detalle->nodeValue;}
					if($detalle->nodeName=='e-mail'){$xemail=$detalle->nodeValue;}
          $xdocu='PC10';
        }
        
//         if($xnumero*1==2639 and mb_stristr($xcntn,'TEMU') and mb_stristr($xhacienda,'TECA'))
        {
          
//         echo '<br>';
        echo '<br>';
//         echo '<br>';
//         echo $xnumero;
//         echo $xenti;
        echo $xfecha;
//         echo $xcntn;
//         echo $xhacienda;
//         echo $xitem;
// //         echo $xlote;
// //         echo $xproductor;
// //         echo $xpuni;
//         echo $xcant;
        
        $xnumero=fillzero($xnumero);
        
        $sql_enti='insert into enti0(enti_codigo)value("'.$xenti.'")';
        $res_enti=mysql_query($sql_enti,$link_vcrx);
        $sql_enti='update enti0 set enti_descri="'.$xentidescri.'" where enti_codigo="'.$xenti.'"';
        $res_enti=mysql_query($sql_enti,$link_vcrx);
        $sql_enti='update enti0 set enti_email="'.$xemail.'" where enti_codigo="'.$xenti.'"';
        $res_enti=mysql_query($sql_enti,$link_vcrx);
          
        $sql_item='insert into item0(item_codigo)value("'.$xitem.'")';
        $res_item=mysql_query($sql_item,$link_vcrx);
        $sql_item='update item0 set item_descri="'.$xitemdescri.'" where item_codigo="'.$xitem.'"';
        $res_item=mysql_query($sql_item,$link_vcrx);
        $sql_item='update item0 set item_puni="'.$xpuni.'" where item_codigo="'.$xitem.'"';
        $res_item=mysql_query($sql_item,$link_vcrx);
          
          
          
          
        $sql_clie ='select * from clie1 ';
        $sql_clie.=' where docu="'.$xdocu.'"';
        $sql_clie.=' and enti="'.$xenti.'"';
        $sql_clie.=' and numero="'.$xnumero.'"';
        $sql_clie.=' and fecha="'.$xfecha.'"';
        $sql_clie.=' and cntn="'.$xcntn.'"';
        $sql_clie.=' and hacienda="'.$xhacienda.'"';
        $res_clie=mysql_query($sql_clie,$link_vcrx);

//           explain_sql($sql_clie);
        if(mysql_num_rows($res_clie)==0)
        {
          $sql_ins1 ='insert into clie1(docu,numero,fecha,enti,cntn,hacienda,status,idate)';
          $sql_ins1.='value("'.$xdocu.'","'.$xnumero.'","'.$xfecha.'","'.$xenti.'","'.$xcntn.'","'.$xhacienda.'","-",now())';
          $res_ins1=mysql_query($sql_ins1,$link_vcrx);
          
          $res_clie=mysql_query($sql_clie,$link_vcrx);
        }
        $xidnum=mysql_result($res_clie,0,'idnum1');
//         $sql_clie.=' and fecha="'.$xfecha.'"';
        $sql_ucl1 ='update clie1 set ';
        $sql_ucl1.='fecha1="'.$xfecha.'",';
        $sql_ucl1.='fecha2="'.$xfecha.'",';
        $sql_ucl1.='status="-"';
        $sql_ucl1.=' where idnum1="'.$xidnum.'"';
        $res_ucl1=mysql_query($sql_ucl1,$link_vcrx);

          
        $sql_clie ='select * from clie2 ';
        $sql_clie.=' where idnum2="'.$xidnum.'"';
        $sql_clie.=' and iddet="'.$xiddet.'"';
        $res_clie=mysql_query($sql_clie,$link_vcrx);
        if(mysql_num_rows($res_clie)==0)
        {
          $sql_ins1 ='insert into clie2(idnum2,iddet)';
          $sql_ins1.='value("'.$xidnum.'","'.$xiddet.'")';
          $res_ins1=mysql_query($sql_ins1,$link_vcrx);
          
//           echo 'D==='. mysql_error($link_vcrx);
//           $res_clie=mysql_query($sql_clie,$link_vcrx);
        }
        $sql_ucl2 ='update clie2 set ';
        $sql_ucl2.='item="'.$xitem.'",';
        $sql_ucl2.='cant="'.$xcant.'",';
        $sql_ucl2.='puni="'.$xpuni.'",';
        $sql_ucl2.='detalle="'.$xproductor.'"';
        $sql_ucl2.=' where idnum2="'.$xidnum.'" and iddet="'.$xiddet.'"';
        $res_ucl2=mysql_query($sql_ucl2,$link_vcrx);
          
          echo 'U---'.mysql_error($link_vcrx);  
          
          
      }
        
      }
        
      }
  
  
  
//   $xml1=substr($xml1,strpos($xml1,'<Grid>')+6);
//   $xml1=substr($xml1,0,strrpos($xml1,'</Grid>')+0);
  
  $conta=0;
  echo '<table width="100%" style="font-size:10px">';
  $xrow=explode('<row',$xml1);
//   for($crow=0; $crow<count($xrow); $crow++)
//   {
// //   .'</td>'
// //     echo .'</td>''<br>C: '.$crow;
// //     echo $xro.'</td>'w[$crow];
//     $xcol=explode('<Column',$xrow[$crow]);
//     for($ccol=0; $ccol<count($xcol); $ccol++)
//     {
//       $xregi=$xcol[$ccol];
//       if(mb_stristr($xregi,'CardCode')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xenti=$xdato;}
//       if(mb_stristr($xregi,'CardName')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xentides=$xdato;}
//       if(mb_stristr($xregi,'DocNum')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xnumero=$xdato;}
//       if(mb_stristr($xregi,'U_TF_NoTramite')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xtramite=$xdato;}
//       if(mb_stristr($xregi,'CodNaviera')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xnavi=$xdato;}
//       if(mb_stristr($xregi,'NomNaviera')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xnavides=$xdato;}
// //       if(mb_stristr($xregi,'U_FechaEmbarque')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xfecha1=$xdato;}
//       if(mb_stristr($xregi,'U_FechaLlegada')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xfecha2=$xdato;}
//       if(mb_stristr($xregi,'FrgnName')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xmarca=$xdato;}
//       if(mb_stristr($xregi,'U_SemBan')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xsema=$xdato;}
//       if(mb_stristr($xregi,'U_Anio')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xanio=$xdato;}
//       if(mb_stristr($xregi,'DocDate')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xfecha1=$xdato;}
//       if(mb_stristr($xregi,'MARCA')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xitem=$xdato;}
//       if(mb_stristr($xregi,'Quantity')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xcant=$xdato;}
//       if(mb_stristr($xregi,'CajasCont')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xpuni=$xdato;}
//       if(mb_stristr($xregi,'HACIENDA')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xhacienda=$xdato;}
//       if(mb_stristr($xregi,'PRODUCTOR')){$xdato=substr($xregi,strpos($xregi,'Data="')+6,1000); $xdato=substr($xdato,0,strrpos($xdato,'"')); $xproductor=$xdato;}
      
//     }
    
//     if(mb_stristr($xmarca,'('))
//     {$xmarca=substr($xmarca,0,strpos($xmarca,'('));}
//     if(mb_stristr($xmarca,'['))
//     {$xmarca=substr($xmarca,0,strpos($xmarca,'['));}
//     $xmarca=trim($xmarca);
    
    
//     $xdias=($xsema-1)*7;
//     $cdia=0;
//     $vsema='';
//     while($vsema!='01')
//     {
//       $cdia++;
//       $xfecha=$xanio.'-01-0'.$cdia;
//       $vsema=date('W', strtotime($xfecha));
//       if($cdia>10){break;}
//     }
//     $xfecha=date('Y-m-d', strtotime($xfecha.'+'.$xdias.' days'));
//     if($xfecha1==''){$xfecha1=$xfecha;}else{$xfecha1=substr($xfecha1,6,4).'-'.substr($xfecha1,3,2).'-'.substr($xfecha1,0,2); $xfecha=$xfecha1;}
//     if($xfecha2==''){$xfecha2=$xfecha;}else{$xfecha2=substr($xfecha2,6,4).'-'.substr($xfecha2,3,2).'-'.substr($xfecha2,0,2);}
    
    
    
//     echo '<tr>';
//       echo '<td>'.$xenti.'</td>';
//       echo '<td>'.$xentides.'</td>';
//       echo '<td>'.$xnumero.'</td>';
//       echo '<td>'.$xtramite.'</td>';
//       echo '<td>'.$xnavi.'</td>';
//       echo '<td>'.$xnavides.'</td>';
//       echo '<td>'.$xfecha1.'</td>';
//       echo '<td>'.$xfecha2.'</td>';
//       echo '<td>'.$xmarca.'</td>';
    
//    echo '</tr>';

//     if($xenti!='')
//     {
//       $sql_enti='select * from enti0 where enti_codigoc="'.$xenti.'"';
//       $res_enti=mysql_query($sql_enti,$link_vcrx);
//       if(mysql_num_rows($res_enti)==0)
//       {
//         $xcodi=new_enti();
//         $sql_enti='update enti0 set enti_codigoc="'.$xenti.'" where enti_codigo="'.$xcodi.'"';
//         $res_enti=mysql_query($sql_enti,$link_vcrx);
//       }
      
//       $sql_enti='select * from enti0 where enti_codigoc="'.$xenti.'"';
//       $res_enti=mysql_query($sql_enti,$link_vcrx);
//       $xcodi=mysql_result($res_enti,0,'enti_codigo');

//       $sql_enti='update enti0 set enti_descri="'.$xentides.'", enti_razsoc="'.$xentides.'",enti_nomcom="'.$xentides.'"   where enti_codigoc="'.$xenti.'"';
//       $res_enti=mysql_query($sql_enti,$link_vcrx);
//       $enti=$xcodi;
//     }

//     if($xnavi!='')
//     {
//       $sql_enti='select * from enti0 where enti_codigop="'.$xnavi.'"';
//       $res_enti=mysql_query($sql_enti,$link_vcrx);
//       if(mysql_num_rows($res_enti)==0)
//       {
//         $xcodi=new_enti();
//         $sql_enti='update enti0 set enti_codigop="'.$xnavi.'" where enti_codigo="'.$xcodi.'"';
//         $res_enti=mysql_query($sql_enti,$link_vcrx);
//       }
//       $sql_enti='select * from enti0 where enti_codigop="'.$xnavi.'"';
//       $res_enti=mysql_query($sql_enti,$link_vcrx);
//       $xcodi=mysql_result($res_enti,0,'enti_codigo');

//       $sql_enti='update enti0 set enti_descri="'.$xnavides.'", enti_razsoc="'.$xnavides.'", enti_nomcom="'.$xnavides.'" where enti_codigop="'.$xnavi.'"';
//       $res_enti=mysql_query($sql_enti,$link_vcrx);
//       $navi=$xcodi;
//     }

//     if($xmarca!='')
//     {
//       $sql_item='select * from item0 where item_descri="'.$xmarca.'"';
//       $res_item=mysql_query($sql_item,$link_vcrx);
//       if(mysql_num_rows($res_item)==0)
//       {
//         $xcodi=new_item();
// //         $sql_item='update item0 set item_codigo="'.$xma.'" where enti_codigo="'.$xcodi.'"';
// //         $res_item=mysql_query($sql_item,$link_vcrx);
//         $sql_item='update item0 set item_descri="'.$xmarca.'" where item_codigo="'.$xcodi.'"';
//         $res_item=mysql_query($sql_item,$link_vcrx);
        
//         $sql_item='select * from item0 where item_descri="'.$xmarca.'"';
//         $res_item=mysql_query($sql_item,$link_vcrx);
//       }
//       $xcodi=mysql_result($res_item,0,'item_codigo');
//       $sql_item='update item0 set item_descri="'.$xmarca.'" where item_codigo="'.$xcodi.'"';
//       $res_item=mysql_query($sql_item,$link_vcrx);
//       $item=$xcodi;
//     }

    
//     if($xnumero!='')
//     {
//       $docu='PC10';
//       $numero=fillzero($xnumero);
      
//       // CABECERA
//       $sql_clie='select * from clie1 where docu="'.$docu.'" and numero="'.$numero.'"';
//       $res_clie=mysql_query($sql_clie,$link_vcrx);
//       if(mysql_num_rows($res_clie)==0)
//       {
//         $sql_clie='insert into clie1(docu,numero,idate) value("'.$docu.'","'.$numero.'",now())';
//         $res_clie=mysql_query($sql_clie,$link_vcrx);
//         $sql_clie='select * from clie1 where docu="'.$docu.'" and numero="'.$numero.'"';
//         $res_clie=mysql_query($sql_clie,$link_vcrx);
//       }
// //       echo mysql_error($link_vcrx);
      
//       $idnum1=mysql_result($res_clie,0,'idnum1');
//         $sql_updt='update clie1 set ';
//         $sql_updt.='fecha="'.$xfecha.'",';
//         $sql_updt.='fecha1="'.$xfecha1.'",';
//         $sql_updt.='fecha2="'.$xfecha2.'",';
//         $sql_updt.='ptov="V001",';
//         $sql_updt.='ptoe="001001",';
//         $sql_updt.='enti="'.$enti.'",';
//         $sql_updt.='naviera="'.$navi.'",';
//         $sql_updt.='concepto="'.$xtramite.'",';
//         $sql_updt.='status="-"';
//         $sql_updt.=' where idnum1="'.$idnum1.'"';
//         $res_updt=mysql_query($sql_updt,$link_vcrx);
        
// //       echo '<br>'.$sql_updt;
// //       echo mysql_error($link_vcrx);
      
      
//       // DETALLE
//       $sql_clie='select * from clie2 where idnum2="'.$idnum1.'" and item="'.$item.'"';
//       $res_clie=mysql_query($sql_clie,$link_vcrx);
//       if(mysql_num_rows($res_clie)==0)
//       {
//         $cant=1;
//         $iddet=get_iddet($docu,$idnum1);
//         $sql_clie='insert into clie2(idnum2,iddet,item,cant) value("'.$idnum1.'","'.$iddet.'","'.$item.'","'.$cant.'")';
//         $res_clie=mysql_query($sql_clie,$link_vcrx);
//       }
//       else
//       {$iddet=mysql_result($res_clie,0,'iddet');}
//         $sql_clie='update clie2 set puni=1, iva=0,ice=0,irbp=0,dcto=0,prop=0,ssid=0 where idnum2="'.$idnum1.'" and iddet="'.$iddet.'"';
//         $res_clie=mysql_query($sql_clie,$link_vcrx);
// //       echo mysql_error($link_vcrx);
      
//     }

    
//   }  
  echo '</table>';
  
//   die();
  
//   echo $str;
// 	$DOM1 = new DOMDocument('1.0', 'UTF-8');
// 	$DOM2 = new DOMDocument('1.0', 'UTF-8');
// 	$DOM1->loadXML($xml1);
  
//   $atrzfe= $DOM1->getElementsByTagName('fechaAutorizacion')->item(0)->nodeValue;
//   $claveacc= $DOM1->getElementsByTagName('claveAcceso')->item(0)->nodeValue;
//   $atrzfe=date('Y-m-d H:i:s',strtotime($atrzfe));
//   $xml2=$DOM1->getElementsByTagName('Row')->item(0)->nodeValue;
//   $DOM2->loadXML($xml2);
//   echo $xml2;
  
  
}  

include('php_gene1.php');

echo '*** CJ Sube XML';
echo '<br>';


$cias=file_get_contents('_cias1.txt');
// $empr_codi=explode($cias,chr(13));
$empr_array=explode(chr(13),$cias);
$empr_array=explode('\r',$cias);
// $empr_array=explode(' ',$cias);

// echo $cias;
// echo count($empr_array);


$empr_array=array(
	"tfe1"
);

$xempr=$_GET['empr'];
if($xempr!=''){$empr_array=array($xempr);}



for($iempr=0; $iempr<count($empr_array); $iempr++)
{
  $empr_codi=substr(trim($empr_array[$iempr]),0,4);
	chdir('../'.$empr_codi.'/_lib');
	include('../_cfg/config.php');
	echo '***********';
	echo '<br>';
	echo $empr_codi;
	echo '==>';
  $ruta1='../xml1/';
    foreach (glob($ruta1.'*.xml') as $origen)
    {
//         echo '<br>'.$origen;
    }       
	echo '<br>'.$origen;
//   if(mb_stristr($origen,'/'))
  {$origen=substr($origen,strrpos($origen,'/')+1,1000);}
	echo upl_xml1tfe($origen);
// 	echo '<br>'.$lxml1;
	chdir('../');
}	

?>